<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<title>Test slide numbers with REVEAL_TOC</title>
<meta name="author" content="Jens Lechtenbörger"/>
<style type="text/css">
.underline { text-decoration: underline; }
</style>
<link rel="stylesheet" href="./reveal.js/css/reveal.css"/>

<link rel="stylesheet" href="./reveal.js/css/theme/black.css" id="theme"/>

<!-- If the query includes 'print-pdf', include the PDF print sheet -->
<script>
    if( window.location.search.match( /print-pdf/gi ) ) {
        var link = document.createElement( 'link' );
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = './reveal.js/css/print/pdf.css';
        document.getElementsByTagName( 'head' )[0].appendChild( link );
    }
</script>
</head>
<body>
<div class="reveal">
<div class="slides">
<section id="sec-title-slide">
<h1 class="title">Test slide numbers with REVEAL_TOC</h1><h2 class="author">Jens Lechtenbörger</h2><p class="date">Created:{{date}}</p>
</section>

<section>
<section id="slide-1">
<h2 id="1"><span class="section-number-2">1</span> Heading 1</h2>
<div class="outline-text-2" id="text-1">
</div>
</section>
<section id="slide-1-1">
<h3 id="1-1"><span class="section-number-3">1.1</span> Heading 2</h3>
<p>
text
</p>

</section>
<section>
<p>
text after split
</p>

</section>
<section id="slide-1-1-1">
<h4 id="1-1-1"><span class="section-number-4">1.1.1</span> Heading 3</h4>
<p>
more text
</p>

</section>
<section>
<p>
and another split
</p>

</section>
<section id="slide-org*******">
<h3 id="org*******">Another heading 2, unnumbered t</h3>
<p>
Hello world!
</p>

<p>
Has hash id, as no number assigned.  Shown in TOC.
</p>

</section>
<section id="slide-org*******">
<h3 id="org*******">Another heading 2, unnumbered notoc</h3>
<p>
Moin moin!
</p>

<p>
Has hash id, as no number assigned.  Not shown in LaTeX TOC.
</p>

</section>
<section id="slide-org*******">
<h3 id="org*******">Table of Contents</h3>
<div id="text-table-of-contents">
<ul>
<li><a href="#/slide-1">1. Heading 1</a>
<ul>
<li><a href="#/slide-1-1">1.1. Heading 2</a>
<ul>
<li><a href="#/slide-1-1-1">1.1.1. Heading 3</a></li>
</ul>
</li>
<li><a href="#/slide-org*******">Another heading 2, unnumbered t</a></li>
</ul>
</li>
<li><a href="#/slide-2">2. Heading 1 again, no custom ID</a>
<ul>
<li><a href="#/slide-2-1">2.1. Heading 2, no custom ID</a></li>
<li><a href="#/slide-section-2.2">Another heading 2, custom id and unnumbered</a></li>
</ul>
</li>
</ul>
</div>

</section>
</section>
<section>
<section id="slide-2">
<h2 id="2"><span class="section-number-2">2</span> Heading 1 again, no custom ID</h2>
<div class="outline-text-2" id="text-2">
</div>
</section>
<section id="slide-2-1">
<h3 id="2-1"><span class="section-number-3">2.1</span> Heading 2, no custom ID</h3>
<p>
text
</p>

</section>
<section>
<p>
text after split
</p>

</section>
<section id="slide-section-2.2">
<h3 id="section-2.2">Another heading 2, custom id and unnumbered</h3>
<p>
Hello world!
</p>
</section>
</section>
</div>
</div>
<script src="./reveal.js/lib/js/head.min.js"></script>
<script src="./reveal.js/js/reveal.js"></script>
<script>
// Full list of configuration options available here:
// https://github.com/hakimel/reveal.js#configuration
Reveal.initialize({

controls: true,
progress: true,
history: true,
center: true,
slideNumber: 'c',
rollingLinks: false,
keyboard: true,
mouseWheel: false,
fragmentInURL: false,
hashOneBasedIndex: false,
pdfSeparateFragments: true,
overview: true,
width: 1400,
height: 1000,

theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
transition: Reveal.getQueryHash().transition || 'convex', // see README of reveal.js for options
transitionSpeed: 'default',

// Optional libraries used to extend reveal.js
dependencies: [
 { src: './reveal.js/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: './reveal.js/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: './reveal.js/plugin/notes/notes.js', async: true, condition: function() { return !!document.body.classList; } },
 { src: './reveal.js/plugin/search/search.js', async: true, condition: function() { return !!document.body.classList; } },
 { src: './reveal.js/plugin/zoom-js/zoom.js', async: true, condition: function() { return !!document.body.classList; } }]

});
</script>
</body>
</html>
